<div class="container p-3">
<%= link_to "<< Continue Shopping", root_path %>
  <h2 class="text-center"> Your Cart Items </h2>
  <div class="table-responsive">
    <table class="table table-striped text-center" id="carttable">

    </table>
  </div>
    <br>
    <hr>
    <br>
    <h4 class="text-right">Subtotal: <span><input id="subtotal" value="" name="subtotal" readonly /></span></h4>
    <div class="text-right p-3">
      <%= button_tag "Proceed to checkout", id:"buybtn", remote: true %>
    </div>  
</div>

<script>
  let subtotal = 0;
  const cardBoxTable = document.querySelector("#carttable");
  let tableData = '';
  tableData += '<tr><th>Title</th><th>Quantity</th><th>Price</th><th>Total</th><th>Action</th></tr>';
  if(JSON.parse(sessionStorage.getItem('items'))[0] === null){
    tableData += '<tr><td colspan="5">No items found</td></tr>'
  }
  else{
    JSON.parse(sessionStorage.getItem('items')).map(data=>{
      tableData += '<tr><td>'+data.title+'</td><td>'+data.quantity+'</td><td>'+data.price+'</td><td>'+data.total+'</td><td><a href="#" onclick=Delete('+data.product_id+');>Delete</a></td></tr>';
      subtotal += data.total
    });
  }
  cardBoxTable.innerHTML = tableData;
  sessionStorage.setItem("subtotal",JSON.stringify(subtotal));
  document.getElementById("subtotal").value=subtotal;

  cart=JSON.parse(sessionStorage.getItem('items'));


function Delete(e){
  let items = [];
  JSON.parse(sessionStorage.getItem('items')).map(data=>{
    if(data.product_id != e){
      items.push(data);
    }
  });
  sessionStorage.setItem('items',JSON.stringify(items));
  window.location.reload();
};
</script>

